<div class="modal-content flex flex-col justify-between items-center">
	<div class="h-screen-63" (click)="close()"></div>
	<div class="bg-dark h-screen-37 shadow-cvbuilder-drop p-4" [class.text-right]="isRTL()">
		<h1 class="text-white text-lg font-semibold mb-1">{{ t.common.misc.templatesList | translate }}</h1>
		<owl-carousel-o [options]="carouselOptions" #owlCarousel>
			<ng-container *ngFor="let template of templates">
				<!--suppress AngularUndefinedBinding -->
				<ng-template carouselSlide [id]="template.codeName">
					<div
						(click)="moveToCarousel(template.codeName)"
						class="h-4/5 w-auto flex flex-col justify-start items-center"
					>
						<h2 class="text-white text-sm mb-1">{{ template.name }}</h2>
						<img
							[src]="template.previewSm"
							[alt]="'Template preview = ' + template.name"
							[title]="template.name"
						/>
					</div>
				</ng-template>
			</ng-container>
		</owl-carousel-o>
	</div>
</div>
